Libical API Documentation 3.0

Data Fields
pvl_list_t Struct Reference

## Data Fields
int | count
struct pvl_elem_t * | head
int | MAGIC
struct pvl_elem_t * | p
struct pvl_elem_t * | tail

## Detailed Description

struct pvl_list_t

The list structure. This is the hanlde for the entire list

This type is also private. Use pvl_list instead

## Field Documentation

## ◆ count

int pvl_list_t::count

Number of items in the list

## ◆ head

struct pvl_elem_t* pvl_list_t::head

Head of list

## ◆ MAGIC

int pvl_list_t::MAGIC

Magic Identifier

## ◆ p

struct pvl_elem_t* pvl_list_t::p

Pointer used for iterators

## ◆ tail

struct pvl_elem_t* pvl_list_t::tail

Tail of list

The documentation for this struct was generated from the following file:

- pvl.c